/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.transport.http;

import junit.textui.TestRunner;
import org.activemq.transport.TransportChannelTestSupport;

/**
 * @version $Revision$
 */
public class HttpTransportChannelTest extends TransportChannelTestSupport {

    protected static int port = 8100;

    public static void main(String[] args) {
        TestRunner.run(HttpTransportChannelTest.class);
    }

    public HttpTransportChannelTest(String name) {
        super(name);
    }

    protected void setUp() throws Exception {
        createSenderAndServer("http://localhost:" + port++);
        super.setUp();
    }

    protected void tearDown() throws Exception {
        super.tearDown();
    }
}